summaryrefslogtreecommitdiff
path: root/deps/node/deps/npm/bin/npx
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2019-04-03 15:43:32 +0200
committerFlorian Dold <florian.dold@gmail.com>2019-04-03 15:45:57 +0200
commit71e285b94c7edaa43aa8115965cf5a36b8e0f80a (patch)
tree7d4aa9d0d5aff686b106cd5da72ba77960c4af43 /deps/node/deps/npm/bin/npx
parent7dadf9356b4f3f4137ce982ea5bb960283116e9a (diff)
downloadakono-71e285b94c7edaa43aa8115965cf5a36b8e0f80a.tar.gz
akono-71e285b94c7edaa43aa8115965cf5a36b8e0f80a.tar.bz2
akono-71e285b94c7edaa43aa8115965cf5a36b8e0f80a.zip
Node.js v11.13.0
Diffstat (limited to 'deps/node/deps/npm/bin/npx')
-rw-r--r--deps/node/deps/npm/bin/npx35
1 files changed, 35 insertions, 0 deletions
diff --git a/deps/node/deps/npm/bin/npx b/deps/node/deps/npm/bin/npx
new file mode 100644
index 00000000..261e3398
--- /dev/null
+++ b/deps/node/deps/npm/bin/npx
@@ -0,0 +1,35 @@
+#!/bin/sh
+(set -o igncr) 2>/dev/null && set -o igncr; # cygwin encoding fix
+
+basedir=`dirname "$0"`
+
+case `uname` in
+ *CYGWIN*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+NODE_EXE="$basedir/node.exe"
+if ! [ -x "$NODE_EXE" ]; then
+ NODE_EXE=node
+fi
+
+NPM_CLI_JS="$basedir/node_modules/npm/bin/npm-cli.js"
+NPX_CLI_JS="$basedir/node_modules/npm/bin/npx-cli.js"
+
+case `uname` in
+ *MINGW*)
+ NPM_PREFIX=`"$NODE_EXE" "$NPM_CLI_JS" prefix -g`
+ NPM_PREFIX_NPX_CLI_JS="$NPM_PREFIX/node_modules/npm/bin/npx-cli.js"
+ if [ -f "$NPM_PREFIX_NPX_CLI_JS" ]; then
+ NPX_CLI_JS="$NPM_PREFIX_NPX_CLI_JS"
+ fi
+ ;;
+ *CYGWIN*)
+ NPM_PREFIX=`"$NODE_EXE" "$NPM_CLI_JS" prefix -g`
+ NPM_PREFIX_NPX_CLI_JS="$NPM_PREFIX/node_modules/npm/bin/npx-cli.js"
+ if [ -f "$NPM_PREFIX_NPX_CLI_JS" ]; then
+ NPX_CLI_JS="$NPM_PREFIX_NPX_CLI_JS"
+ fi
+ ;;
+esac
+
+"$NODE_EXE" "$NPX_CLI_JS" "$@"